/***************************************************************************
 *   Copyright (C) 2006 by André Lindhjem <belgarat@sdf.lonestar.org>,     *
 *                         Kjetil Holien <kjetil.holien@gmail.com>,        *
 *                         Terje Risa <terje.risa@gmail.com> &             *
 *                         Øyvind Nerbråten <oyvind@nerbraten.com>         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************
 *
 * \file mp3.h
 * \author André Lindhjem, Kjetil Holien, Terje Risa & Øyvind Nerbråten
 * \date 15.02.2006
 *
 * Functinality for controlling mp3 placyback using mad and libao. With the audio_play
 * function we can specify a mp3 file and start and stop offsets. The audio_play function loades
 * the mp3 file into a memory map and decodes the part we specified for playing.
 */
 
#ifndef MP3_H_
#define MP3_H_


/**
 * includes
 */
#include <sys/stat.h>
#include <string.h>
#include <mad.h>
#include <ao/ao.h>
#include <stdbool.h>

#include "daisylibao.h"
#include "audio.h"
#include "libdaisy.h"


/**
 * Theese are methods called by the xmlparser to audio_play audio
 */
/**
 * plays a file from start seconds/fractions to stop second/fractions
 */
bool mp3_play (audio_data_t *data);


/**
 * must be called before audio_play
 */
void mp3_init(audio_data_t *data);


/**
 * must be called before closing.
 */
void mp3_close(audio_data_t *data);

#endif /* MP3_H_ */
